import * as eslint from 'eslint';
import { Rule } from 'eslint';

declare const name = "eslint-plugin-astro";
declare const version = "1.0.2";

declare const meta_name: typeof name;
declare const meta_version: typeof version;
declare namespace meta {
  export { meta_name as name, meta_version as version };
}

declare const environments: {
    astro: {
        globals: {
            Astro: boolean;
            Fragment: boolean;
        };
    };
};

declare const rules: {
    [key: string]: Rule.RuleModule;
};
declare const processors: {
    ".astro": eslint.Linter.Processor<string | eslint.Linter.ProcessorFile>;
    astro: eslint.Linter.Processor<string | eslint.Linter.ProcessorFile>;
    "client-side-ts": eslint.Linter.Processor<string | eslint.Linter.ProcessorFile>;
};

declare const configs: {
    base: eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
    recommended: eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
    all: eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
    "jsx-a11y-strict": eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
    "jsx-a11y-recommended": eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
    "flat/base": eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
    "flat/recommended": eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
    "flat/all": eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
    "flat/jsx-a11y-strict": eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
    "flat/jsx-a11y-recommended": eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
};
declare const _default: {
    meta: typeof meta;
    configs: {
        base: eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
        recommended: eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
        all: eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
        "jsx-a11y-strict": eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
        "jsx-a11y-recommended": eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
        "flat/base": eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
        "flat/recommended": eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
        "flat/all": eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
        "flat/jsx-a11y-strict": eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
        "flat/jsx-a11y-recommended": eslint.Linter.FlatConfig<eslint.Linter.RulesRecord>[];
    };
    rules: {
        [key: string]: eslint.Rule.RuleModule;
    };
    processors: {
        ".astro": eslint.Linter.Processor<string | eslint.Linter.ProcessorFile>;
        astro: eslint.Linter.Processor<string | eslint.Linter.ProcessorFile>;
        "client-side-ts": eslint.Linter.Processor<string | eslint.Linter.ProcessorFile>;
    };
    environments: {
        astro: {
            globals: {
                Astro: boolean;
                Fragment: boolean;
            };
        };
    };
};

export { configs, _default as default, environments, meta, processors, rules };
